Public Class frmBuscaGoogle

    Private Const minhaLicensaGoogle As String = "XXXXXXXXXXXXXXXXXXXXXX"
    Private oGoogle As com.google.api.GoogleSearchService = New com.google.api.GoogleSearchService


    Private Sub btnProcurar_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnProcurar.Click

        'Aciona a API Google para procurar pelas palavras chaves
        Dim oResultado As com.google.api.GoogleSearchResult
        Dim qtdeItensAExibir As Integer = cboQtdeItensExibir.Text

        Try
            oResultado = oGoogle.doGoogleSearch(minhaLicensaGoogle, txtPalavraChave.Text, 0, qtdeItensAExibir, False, "", False, "", "", "")

            'Cria um banco de dados para armazenar os resultados retornados pelo google
            Dim dtbResultado As DataTable = New DataTable

            With dtbResultado.Columns
                .Add("Title", GetType(String))
                .Add("URL", GetType(String))
            End With

            'Armazena a informao em um  DataTable
            Dim x As com.google.api.ResultElement
            For Each x In oResultado.resultElements
                Dim objRow As DataRow = dtbResultado.NewRow
                objRow.Item("Title") = x.title
                objRow.Item("URL") = x.URL
                dtbResultado.Rows.Add(objRow)
            Next

            'Exibe o resultado no datagridview
            lblResultado.Text = oResultado.estimatedTotalResultsCount & " itens encontrados"
            With gdvResultado
                .DataSource = dtbResultado
            End With
        Catch ex As Exception
            MsgBox("Erro : " & ex.Message)
        End Try
    End Sub

    Private Sub frmBuscaGoogle_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        For i As Integer = 2 To 10 Step 2
            cboQtdeItensExibir.Items.Add(i)
        Next
        cboQtdeItensExibir.SelectedIndex = 0
    End Sub
End Class